import type { TBucketRegion, TCloudEnvironment, TStorageBucketsConfig } from "./types.js";
type TConfigOptions = {
    disabledBucketRegions?: TBucketRegion[];
    disabledEnvironments?: TCloudEnvironment[];
};
type TDefineConfigArgs = {
    regions?: TStorageBucketsConfig;
    options?: TConfigOptions;
};
declare function defineStorageBucketsConfig({ regions, options, }?: TDefineConfigArgs): TStorageBucketsConfig;
declare function loadStorageBucketsConfig(): Promise<TStorageBucketsConfig>;
declare function loadConfig<TConfig>(moduleName: string, defaultConfig?: unknown): Promise<TConfig>;
export { defineStorageBucketsConfig, loadStorageBucketsConfig, loadConfig };
