#!/usr/bin/env node

process.env.NODE_ENV = 'production';

const { exit } = require('node:process');
const { run } = require('@commercetools-frontend/application-cli/cli');

run().catch((error) => {
  console.error(error.message || error.stack || error);
  exit(1);
});
