import type { TStorageProviderTag, TStorageProvider } from "./types.js";
export declare const clusterContexts: {
    readonly 'ctp_staging_gcp_europe-west1_v1': "ctp_staging_gcp_europe-west1_v1";
    readonly 'vw_staging_aws_eu-central-1_v1': "vw_staging_aws_eu-central-1_v1";
    readonly 'ctp_testing_performance_gcp_europe-west1_v1': "ctp_testing_performance_gcp_europe-west1_v1";
    readonly 'ctp_production_aws_eu-central-1_v1': "ctp_production_aws_eu-central-1_v1";
    readonly 'ctp_production_gcp_europe-west1_v1': "ctp_production_gcp_europe-west1_v1";
    readonly 'vw_production_aws_eu-central-1_v1': "vw_production_aws_eu-central-1_v1";
    readonly 'ctp_production_aws_us-east-2_v1': "ctp_production_aws_us-east-2_v1";
    readonly 'ctp_production_gcp_us-central1_v1': "ctp_production_gcp_us-central1_v1";
    readonly 'ctp_production_gcp_australia-southeast1_v1': "ctp_production_gcp_australia-southeast1_v1";
};
export declare const bucketEnvironments: {
    readonly 'ctp-gcp-staging-eu': "ctp-gcp-staging-eu";
    readonly 'ctp-vw-staging-eu': "ctp-vw-staging-eu";
    readonly 'ctp-gcp-testing-performance-eu': "ctp-gcp-testing-performance-eu";
    readonly 'ctp-aws-production-eu': "ctp-aws-production-eu";
    readonly 'ctp-aws-production-us': "ctp-aws-production-us";
    readonly 'ctp-gcp-production-au': "ctp-gcp-production-au";
    readonly 'ctp-gcp-production-eu': "ctp-gcp-production-eu";
    readonly 'ctp-gcp-production-us': "ctp-gcp-production-us";
    readonly 'ctp-vw-production-eu': "ctp-vw-production-eu";
    readonly 'ctp-att-production-va': "ctp-att-production-va";
};
export declare const bucketRegions: {
    readonly previews: "merchant-center-previews";
    readonly europe: "merchant-center-europe";
    readonly northAmerica: "merchant-center-north-america";
    readonly asia: "merchant-center-asia";
};
export declare const storageProviders: Record<TStorageProviderTag, TStorageProvider>;
